# Keep Audit Activity Events

This document lists the events and parameters for
various types of
Keep Audit activity events. You can retrieve these events by
calling [Activities.list()](https://developers.google.com/workspace/admin/reports/v1/reference/activities/list)
with `applicationName=keep`.

## User action


Event is user-initiated.
Events of this type are returned with `type=user_action`.

### Attachment deleted

Event generated when a user removes an attachment from a note (excludes drawings).

| Event details ||
|---|---|
| Event name | `deleted_attachment` |
| Parameters | |---|---| | `attachment_name` | `string` Attachment resource URI. | | `note_name` | `string` Note resource URI. | | `owner_email` | `string` Note owner email. | |
| Sample request | `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/keep?eventName=deleted_attachment&maxResults=10&access_token=YOUR_ACCESS_TOKEN` |
| Admin Console message format | `{actor} deleted an attachment` |

### Attachment uploaded

Event generated when a user uploads a new attachment to a note (excludes drawings).

| Event details ||
|---|---|
| Event name | `uploaded_attachment` |
| Parameters | |---|---| | `attachment_name` | `string` Attachment resource URI. | | `note_name` | `string` Note resource URI. | | `owner_email` | `string` Note owner email. | |
| Sample request | `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/keep?eventName=uploaded_attachment&maxResults=10&access_token=YOUR_ACCESS_TOKEN` |
| Admin Console message format | `{actor} uploaded an attachment` |

### Note content edited

Event generated when a user modifies the title, text, or list items of a note.

| Event details ||
|---|---|
| Event name | `edited_note_content` |
| Parameters | |---|---| | `note_name` | `string` Note resource URI. | | `owner_email` | `string` Note owner email. | |
| Sample request | `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/keep?eventName=edited_note_content&maxResults=10&access_token=YOUR_ACCESS_TOKEN` |
| Admin Console message format | `{actor} edited note content` |

### Note created

Event generated when a user creates a note.

| Event details ||
|---|---|
| Event name | `created_note` |
| Parameters | |---|---| | `note_name` | `string` Note resource URI. | | `owner_email` | `string` Note owner email. | |
| Sample request | `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/keep?eventName=created_note&maxResults=10&access_token=YOUR_ACCESS_TOKEN` |
| Admin Console message format | `{actor} created a note` |

### Note deleted

Event generated when a note is deleted by its owner.

| Event details ||
|---|---|
| Event name | `deleted_note` |
| Parameters | |---|---| | `note_name` | `string` Note resource URI. | | `owner_email` | `string` Note owner email. | |
| Sample request | `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/keep?eventName=deleted_note&maxResults=10&access_token=YOUR_ACCESS_TOKEN` |
| Admin Console message format | `{actor} deleted a note` |

### Permissions edited

Event generated when a user gains or loses access to a note.

| Event details ||
|---|---|
| Event name | `modified_acl` |
| Parameters | |---|---| | `note_name` | `string` Note resource URI. | | `owner_email` | `string` Note owner email. | |
| Sample request | `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/keep?eventName=modified_acl&maxResults=10&access_token=YOUR_ACCESS_TOKEN` |
| Admin Console message format | `{actor} edited permissions` |